#
# Conditional build:
#
%define         orgname     marble
%define         _state      stable
%define         qtver       4.8.1
#
Summary:	Marble
Summary(pl.UTF-8):	Marble
Name:		kde4-marble
Version:	4.9.0
Release:	1
License:	LGPL v2
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	91b1c1cfd3e077cddabb3d5c391ae1f0
URL:		http://www.kde.org/
# leave only required ones
BuildRequires:	Qt3Support-devel >= %{qt_ver}
BuildRequires:	QtCore-devel >= %{qt_ver}
BuildRequires:	QtDBus-devel >= %{qt_ver}
BuildRequires:	QtDesigner-devel >= %{qt_ver}
BuildRequires:	QtGui-devel >= %{qt_ver}
BuildRequires:	QtScript-devel >= %{qt_ver}
BuildRequires:	QtSvg-devel >= %{qt_ver}
BuildRequires:	QtTest-devel >= %{qt_ver}
BuildRequires:	QtUiTools-devel >= %{qt_ver}
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel >= %{qt_ver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.6.3
BuildRequires:	gpsd-devel >= 2.37
BuildRequires:	kde4-kdelibs-devel >= %{_kdever}
BuildRequires:	phonon-devel >= 4.3.1
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.293
Obsoletes:	kde4-kdeedu-marble < 4.6.99
Obsoletes:	marble <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Marble is a Virtual Globe and World Atlas that you can use to learn
more about Earth: You can pan and zoom around and you can look up
places and roads. A mouse click on a place label will provide the
respective Wikipedia article.

%description -l pl.UTF-8
Marble.

%package devel
Summary:	Marble header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla Marble
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}
Obsoletes:	kde4-kdeedu-devel < 4.6.99
Obsoletes:	marble-devel <= 4.8.0

%description devel
This package contains Marble header files.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe dla Marble.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{orgname} --with-kde

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/marble
%attr(755,root,root) %{_bindir}/marble-touch
%attr(755,root,root) %{_bindir}/routing-instructions
%attr(755,root,root) %{_bindir}/tilecreator
%attr(755,root,root) %{_libdir}/kde4/libmarble_part.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_worldclock.so
%attr(755,root,root) %{_libdir}/kde4/plasma_runner_marble.so
%dir %{_libdir}/kde4/plugins/marble
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/AprsPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/CachePlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/CompassFloatItem.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/CrosshairsPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/EarthquakePlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/ElevationProfileFloatItem.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/ElevationProfileMarker.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/FlightGearPositionProviderPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/GosmoreReverseGeocodingPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/GosmoreRoutingPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/GpsdPositionProviderPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/GpsInfo.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/GpxPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/GraticulePlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/HostipPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/KmlPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/LatLonPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/LocalDatabasePlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/LocalOsmSearchPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/LogPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/MapQuestPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/MapScaleFloatItem.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/MeasureTool.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/MonavPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/NavigationFloatItem.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/NominatimReverseGeocodingPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/NominatimSearchPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/OpenDesktopPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/OpenRouteServicePlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/OsmPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/OSRMPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/OverviewMap.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/Photo.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/PlacemarkPositionProviderPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/PntPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/PositionMarker.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/PostalCode.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/ProgressFloatItem.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/QNamNetworkPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/RouteSimulationPositionProviderPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/RoutingPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/RoutinoPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/SatellitesPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/Speedometer.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/StarsPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/SunPlugin.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/Weather.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/Wikipedia.so
%attr(755,root,root) %{_libdir}/kde4/plugins/marble/YoursPlugin.so
%attr(755,root,root) %ghost %{_libdir}/libmarblewidget.so.??
%attr(755,root,root) %{_libdir}/libmarblewidget.so.*.*.*
%{_datadir}/apps/marble
%{_desktopdir}/kde4/marble.desktop
%{_datadir}/config.kcfg/marble.kcfg
%{_datadir}/kde4/services/marble_part.desktop
%{_datadir}/kde4/services/plasma-applet-kworldclock.desktop
%{_datadir}/kde4/services/plasma-runner-marble.desktop
%{_iconsdir}/hicolor/*x*/apps/marble.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/marble
%attr(755,root,root) %{_libdir}/libmarblewidget.so
%{_datadir}/apps/cmake/modules/FindMarble.cmake
%changelog
* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e392baf
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3097e68
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 365591f
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 200fa07
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 07c7c23
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e6817dd
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c1f4ed9
- rel 2; fixed O

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e2911d
- obsolete patch

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 669f074
- now as kde4-marble

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e562bf
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 472defc
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 11d3cc2
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> efa48c0
- up to 4.7.2

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ec0761
- rel 5; run ldconfig

* Thu Sep 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f0db16
- rel 4; build with gpsd3; patch from fc

* Tue Sep 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 86a82f5
- release 3

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> de6ea06
- rel 2

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fe595c7
- up to 4.7.1

* Thu Jul 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dcc268f
- rel 2; marble dir added

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c60b459
- up to 4.7.0

